<template>
    <div :class="isPrint ? 'common-btn-box2 font12' : 'common-btn-box font12'" @click="handleBtnClick()">
        <span>打印</span>
    </div>
</template>

<script setup lang="ts">
// import { ElMessageBox } from "element-plus";

const props = defineProps<{
    selectionList?: any[];
    handleChildBtnCallback?: () => void;
    ruleForm: any;
    isPrint: any;
}>();
const emits = defineEmits<{
    (e: "handleChildBtnCallback", result: Record<string, any>): void;
}>();
// 提交事件
const handleBtnClick = () => {
    if (props.isPrint) {
        return;
    }
    emits("handleChildBtnCallback", {
        type: "Print"
    });
};
</script>

<style scoped>
@import "../index.scss";
</style>
